From: Kevin Wolf <kwolf@redhat.com>
To: qemu-devel@nongnu.org
Cc: kwolf@redhat.com
Subject: [Qemu-devel] [PATCH 2/2] make check: Add qemu-iotests subset
Date: Thu, 8 Mar 2012 12:32:52 +0100 [thread overview]
Message-ID: <1331206372-10405-3-git-send-email-kwolf@redhat.com> (raw)
In-Reply-To: <1331206372-10405-1-git-send-email-kwolf@redhat.com>
Run the 'quick' group from qemu-iotests during 'make check'.
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
tests/Makefile | 1 +
tests/qemu-iotests.sh | 18 ++++++++++++++++++
2 files changed, 19 insertions(+), 0 deletions(-)
create mode 100755 tests/qemu-iotests.sh
diff --git a/tests/Makefile b/tests/Makefile
index 74b29dc..155ecbd 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -1,6 +1,7 @@
CHECKS = check-qdict check-qfloat check-qint check-qstring check-qlist
CHECKS += check-qjson test-qmp-output-visitor test-qmp-input-visitor
CHECKS += test-string-input-visitor test-string-output-visitor test-coroutine
+CHECKS += tests/qemu-iotests.sh
check-qint.o check-qstring.o check-qdict.o check-qlist.o check-qfloat.o check-qjson.o test-coroutine.o: $(GENERATED_HEADERS)
diff --git a/tests/qemu-iotests.sh b/tests/qemu-iotests.sh
new file mode 100755
index 0000000..af99635
--- /dev/null
+++ b/tests/qemu-iotests.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# We don't know which of the system emulator binaries there is (or if there is
+# any at all), so the 'quick' group doesn't contain any tests that require
+# running qemu proper. Assign a fake binary name so that qemu-iotests doesn't
+# complain about the missing binary.
+export QEMU_PROG="this_should_be_unused"
+
+export QEMU_IMG_PROG="$(pwd)/qemu-img"
+export QEMU_IO_PROG="$(pwd)/qemu-io"
+
+cd tests/qemu-iotests
+
+ret=0
+./check -T -nocache -raw -g quick || ret=1
+./check -T -nocache -qcow2 -g quick || ret=1
+
+exit $ret
--
1.7.6.5
next prev parent reply other threads:[~2012-03-08 11:29 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-03-08 11:32 [Qemu-devel] [PATCH 0/2] make check: Add qemu-iotests subset Kevin Wolf
2012-03-08 11:32 ` [Qemu-devel] [PATCH 1/2] qemu-iotests: Mark some tests as quick Kevin Wolf
2012-03-08 11:32 ` Kevin Wolf [this message]
2012-03-08 15:51 ` [Qemu-devel] [PATCH 2/2] make check: Add qemu-iotests subset Stefan Hajnoczi
2012-03-08 16:10 ` Kevin Wolf
2012-03-08 16:52 ` Stefan Hajnoczi
2012-03-08 17:01 ` Kevin Wolf
2012-03-09 10:10 ` Stefan Hajnoczi
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1331206372-10405-3-git-send-email-kwolf@redhat.com \
--to=kwolf@redhat.com \
--cc=qemu-devel@nongnu.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.